#include "config.h"

#include <library/cpp/yconf/conf.h>

bool TUrlToDocIdConfig::DoCheck() const {
    return true;
}

void TUrlToDocIdConfig::DoInit(const TYandexConfig::Section& componentSection) {
    UseGlobalMapping = componentSection.GetDirectives().Value<bool>("UseGlobalMapping", true);
}

void TUrlToDocIdConfig::DoToString(IOutputStream& so) const {
    so << "UseGlobalMapping : " << UseGlobalMapping << Endl;
}
